<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::table('qrcode_records', function (Blueprint $table) {
            $table->dropColumn('name');
            $table->renameColumn('phone', 'representative_id');
        });
    }

    /**
     * Reverse the migrations.
     */

    public function down(): void
    {
        Schema::table('qrcode_records', function (Blueprint $table) {
            $table->string('name');
            $table->renameColumn('representative_id', 'phone');
        });
    }
};
